# $Revision: 1.20 $, $Date: 2003/03/23 23:04:40 $
# conditional build
# _without_dist_kernel          without distribution kernel

%define		_orig_name	ip_masq_h323

Summary:	Kernel module for masqerading H323 (VoIP) connections
Summary(pl):	Modu kernela do maskowania pocze H323 (VoIP)
Name:		kernel-net-%{_orig_name}
Version:	2.2.20
%define	_rel	11
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://www.coritel.it/coritel/ip/sofia/nat/nat2/%{_orig_name}.c
URL:		http://www.coritel.it/coritel/ip/sofia/nat/nat2/nat2.htm
%{!?_without_dist_kernel:BuildRequires:         kernel-headers < 2.4.0 }
BuildRequires:	%{kgcc_package}
Obsoletes:	ip_masq_h323
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ip_masq_h323 is a kernel module enabling masqerading of H323 (VoIP)
connections. H323 is a protocol for transmiting audio and video. It is
used by Microsoft NetMeeting.

%description -l pl
ip_masq_h323 to modu jdra pozwalajcy na maskarad pocze H323
(VoIP) H323 to protok do transmisji dwiku i obrazu. Jest uywany
m.in. przez Microsoft NetMeeting.

%package -n kernel-smp-net-%{_orig_name}
Summary:	Kernel module for masqerading H323 (VoIP) connections for SMP machines
Summary(pl):	Modu kernela do maskowania pocze H323 (VoIP) dla maszyn z SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Obsoletes:	ip_masq_h323

%description -n kernel-smp-net-%{_orig_name}
ip_masq_h323 is a kernel SMP module enabling masqerading of H323
(VoIP) connections. H323 is a protocol for transmiting audio and
video. It is used by Microsoft NetMeeting.

%description -n kernel-smp-net-%{_orig_name} -l pl
ip_masq_h323 to modu jdra SMP pozwalajcy na maskarad pocze H323
(VoIP) H323 to protok do transmisji dwiku i obrazu. Jest uywany
m.in. przez Microsoft NetMeeting.

%prep
%setup -q -T -c
install %{SOURCE0} .

%build
%{kgcc} -o %{_orig_name}.o -c %{rpmcflags}  -DMODULE -D__KERNEL__ -D__SMP__ -DCONFIG_X86_LOCAL_APIC -I%{_kernelsrcdir}/include %{_orig_name}.c
mv -f %{_orig_name}.o %{_orig_name}-smp.o
%{kgcc} -o %{_orig_name}.o -c %{rpmcflags}  -DMODULE -D__KERNEL__ -I%{_kernelsrcdir}/include %{_orig_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
install %{_orig_name}-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/%{_orig_name}.o
install %{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-net-%{_orig_name}
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kernel-net-ip_masq_h323.spec,v $
Revision 1.20  2003/03/23 23:04:40  blues
- release 11; rebuild with 2.2.25

Revision 1.19  2002/11/17 18:19:15  kloczek
- release 10: rebuild against kernel 2.2.22-6.

Revision 1.18  2002/09/30 13:45:03  kloczek
- release 9: rebuild against kernel 2.2.22.

Revision 1.17  2002/08/18 17:41:14  kloczek
- release 8: rebuild against kernel 2.2.21.

Revision 1.16  2002/03/17 16:06:25  dzimi

- update release numbers to build with new kernel release

Revision 1.15  2002/03/04 22:22:02  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel. 6.

Revision 1.14  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.13  2002/02/26 15:11:05  qboosh
- use %%kgcc macro

Revision 1.12  2002/02/26 13:15:52  qboosh
- missing Prereq: /sbin/depmod for -smp

Revision 1.11  2002/02/26 13:08:25  qboosh
- use requires_releq_kernel_{up,smp} macros, BR: egcs, release 5

Revision 1.10  2002/02/23 21:25:22  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- cosmetics
- release 4, STBR

Revision 1.9  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/11 01:36:46  kloczek
- adapterized.

Revision 1.7  2002/02/10 19:06:57  marcus
- rel.3 (for build with 2.2.20-10 and new 2.4)

Revision 1.6  2002/02/03 09:52:05  marcus
- -DMODULE, rel 2

Revision 1.5  2002/01/27 12:59:56  marcus
- new spec based on kernel-net-ip_wccp spec, smp and up modules
now build properly

Revision 1.4  2002/01/18 02:13:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/10 08:54:15  qboosh
- pl description, use proper opt flags, added postun

Revision 1.2  2002/01/09 23:54:37  kloczek
- cosmetics (NOTE: still not SMP/UP ready).

Revision 1.1  2002/01/09 20:47:18  marcus
- change to new naming scheme

Revision 1.1  2001/01/04 08:11:47  jajcus
- initial version
